# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/sophgo,cv1800b-i2s.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Sophgo CV1800B I2S/TDM controller

maintainers:
  - Anton D. Stavinskii <stavinsky@gmail.com>

description: I2S/TDM controller found in CV1800B / Sophgo SG2002/SG2000 SoCs.

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    const: sophgo,cv1800b-i2s

  reg:
    maxItems: 1

  "#sound-dai-cells":
    const: 0

  clocks:
    maxItems: 2

  clock-names:
    items:
      - const: i2s
      - const: mclk

  dmas:
    minItems: 1
    maxItems: 2

  dma-names:
    minItems: 1
    items:
      - enum: [rx, tx]
      - const: tx

required:
  - compatible
  - reg
  - clocks
  - clock-names
  - "#sound-dai-cells"

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/clock/sophgo,cv1800.h>

    i2s@4110000 {
        compatible = "sophgo,cv1800b-i2s";
        reg = <0x04110000 0x10000>;
        clocks = <&clk CLK_APB_I2S1>,  <&clk CLK_SDMA_AUD1>;
        clock-names = "i2s", "mclk";
        dmas = <&dmamux 2 1>, <&dmamux 3 1>;
        dma-names = "rx", "tx";
        #sound-dai-cells = <0>;
    };
...
